# Python!
import re
with open('09.txt') as file:
	compressed = file.read().rstrip('\n')


def split_groups(sequence)
	groups = []
	while sequence:
		marker = marker_exp.match(sequence)
		stop = marker.span()[1] + int(marker.groups()[0])
		groups.append(sequence[:stop])
		sequence = sequence[stop:]
	return groups


marker_exp = re.compile('\((\d*)x(\d*)\)')

sections = split_groups(compressed)

for section in sections:
	subgroups = []
	while marker_exp.findall(subgroups) > 1:
		subgroups = split_groups(section)




